Issue 1640 darcs apply --verbose with no file args should mention stdin

Title darcs apply --verbose with no file args should mention stdin
Priority feature Status resolved
Milestone Resolved in 2.8.0
Superseder Nosy List darcs-devel, dixiecko, dmitry.kurochkin, jaredj, kowey
Assigned To dixiecko
Topics ProbablyEasy, UI

Created on 2009-10-07.08:52:22 by kowey, last changed 2011-05-09.06:19:35 by noreply.

msg8917 (view) Author: kowey Date: 2009-10-07.08:52:15
I just helped a darcs user who tried out 'darcs apply' without any arguments and
was confused by why it seemed to hang.

One thing which could help in the future is if darcs apply --verbose without any
arguments printed 'reading patch bundle from stdin'

I hope this isn't adding complexity for nothing :-)
msg13961 (view) Author: dixiecko Date: 2011-04-24.11:36:20
I picked this very easy bug - http://bugs.darcs.net/patch600
msg14022 (view) Author: noreply Date: 2011-05-09.06:19:34
The following patch sent by Radoslav Dorcik <dixiecko@gmail.com> updated issue issue1640 with
status=resolved;resolvedin=2.8.0 HEAD

* Resolve issue1640: darcs apply --verbose without args mentions stdin. 
Ignore-this: a02a9f42e0ad2e2c4e9dd09024b38d8e
Date User Action Args
2009-10-07 08:52:22koweycreate
2011-04-24 11:36:20dixieckosetstatus: needs-implementation -> has-patch
messages: + msg13961
2011-04-24 12:02:02dixieckosetassignedto: dixiecko
nosy: + dixiecko
2011-05-09 06:19:35noreplysetstatus: has-patch -> resolved
messages: + msg14022
resolvedin: 2.8.0